import '@nuxtjs/axios';
import { Module } from '@nuxt/types';
import { VuetifyDialog } from 'vuetify-dialog';
import { AxiosError } from 'axios';
declare module 'vuetify-dialog' {
    interface VuetifyDialog {
        authRefreshRequired: (params: any) => Promise<any>;
    }
}
declare module 'vuex/types/index' {
    interface Store<S> {
        $dialog: VuetifyDialog;
    }
}
declare module 'axios' {
    interface AxiosRequestConfig {
        noAutoError?: boolean;
    }
}
declare module '@nuxtjs/axios' {
    interface NuxtAxiosInstance {
        defaultErrorPopup: (error: AxiosError) => any;
    }
}
declare const byuModuleWrapper: Module;
export default byuModuleWrapper;
export declare const meta: any;
